import { Button, Form, Input, InputNumber, Modal, Select } from "antd";
import { useSportPageContext } from "./sportPageProvider";
import { api } from "@nice/client";
import toast from "react-hot-toast";

export default function SportPageModal() {
    const { newScoreForm, isNewScoreModalVisible, handleNewScoreCancel, sportProjectList, staffs, staffsLoading } = useSportPageContext()
    const createManyTrainSituation = api.trainSituation.createManyTrainSituation.useMutation()
    // 修改后的提交处理逻辑
    const handleUpdateScoreOk = async () => {

    };
    return (
        <Modal
            title="更改考核成绩"
            onOk={newScoreForm.submit}
            visible={isNewScoreModalVisible}
            onCancel={handleNewScoreCancel}
        >
            <Form
                form={newScoreForm}
                name="dynamic_form"
                onFinish={handleUpdateScoreOk}
                className="p-4 space-y-4"
            >
                {sportProjectList.map((field) => (
                    <div key={field.id} className="flex w-full space-x-4">
                        <Form.Item
                            label={`${field.name}（${field.unit}）`}
                            name={['sports', field.id, 'score']}
                            rules={[{ required: true, message: '请输入成绩!' }]}
                        >
                            <Input className="w-full" placeholder="请输入成绩" />
                        </Form.Item>
                    </div>
                ))}
            </Form>
        </Modal>
    )
}

